
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_carproduct")]
    public class BaseCarproduct
    {

        [Key]
        [Column("id")]
        public Guid id { get; set; }

        [Column("car_id")]
        public Guid? carId { get; set; }

        [Column("car_no")]
        public int? carNo { get; set; }

        [Column("materiel_num")]
        public int? materielNum { get; set; }

        [Column("order_code")]
        public string orderCode { get; set; }

        [Column("materiel_id")]
        public Guid? materielId { get; set; }

        [Column("materiel_no")]
        public string materielNo { get; set; }

        [Column("line_code")]
        public string lineCode { get; set; }
    }
}

